Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Sudoku with python3 selected
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
CrazyCasta
n00b
n00b


Joined: 01 Sep 2011
Posts: 16

PostPosted: Tue Jun 19, 2012 11:10 pm    Post subject: Sudoku with python3 selected Reply with quote

Since selecting 3.2 as my active python gnome-sudoku fails with an error about importing lib. I've determined that if I change #! /usr/bin/env python with #! /usr/bin/env python2.7 that everything appears fine. This doesn't seem kosher. Is there a better way to do this? I assume that the next time gnome-games gets re-emerged I'll lose this change.
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2070

PostPosted: Wed Jun 20, 2012 2:09 pm    Post subject: Reply with quote

Can you give the specific error please? It may be a) the needed lib has not been build for python-3.x, so you should try running `python-updater` (read the help before that) or b) the app is written specifically for python-2.x, then you should file a bug.
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
CrazyCasta
n00b
n00b


Joined: 01 Sep 2011
Posts: 16

PostPosted: Sat Jun 23, 2012 7:19 pm    Post subject: Reply with quote

Sorry, I forgot to mention what I have tried. I tried python-updater, I've also tried rebuilding gnome-games. Neither seems to have done any good. The error is:

Code:
Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 41, in <module>
    import lib;
ImportError: No module named lib

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 48, in <module>
    from gnome_sudoku.gnome_sudoku import start_game
ImportError: No module named gnome_sudoku.gnome_sudoku

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 52, in <module>
    import gtk
ImportError: No module named gtk
Exception AttributeError: 'flush' in <__main__.SafeStdout object at 0x94f3d0> ignored
Back to top
View user's profile Send private message
hasufell
Developer
Developer


Joined: 29 Oct 2011
Posts: 196

PostPosted: Sat Jun 23, 2012 11:14 pm    Post subject: Reply with quote

updating to gnome-games-2.30.2-r2 or later will fix it

also see: https://bugs.gentoo.org/show_bug.cgi?id=389615
Back to top
View user's profile Send private message
CrazyCasta
n00b
n00b


Joined: 01 Sep 2011
Posts: 16

PostPosted: Mon Jun 25, 2012 11:01 pm    Post subject: Reply with quote

Thanks, that works. Ofc it would be nice if that fix were stabilized :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum